Bug 964576 - Encrypted luks partition no longer mounts after systemd-201 update
Encrypted luks partition no longer mounts after systemd-201 update
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
18
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-18 21:29 EDT by Tim Wegener
Modified: 2014-01-03 06:18 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-03 06:18:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/etc/fstab (603 bytes, text/plain)
2013-05-23 08:52 EDT, Tim Wegener
no flags Details
Output from 'lsblk' (630 bytes, text/plain)
2013-05-23 08:55 EDT, Tim Wegener
no flags Details
/etc/crypttab (96 bytes, text/plain)
2013-05-23 08:56 EDT, Tim Wegener
no flags Details

  None (edit)
Description Tim Wegener 2013-05-18 21:29:52 EDT
After updating to systemd-201-2.fc18.6.x86_64 and rebooting, the boot process no longer waits for me to enter the password to decrypt the encrypted file system that contains my home directory. (Note that the password prompt is displayed both graphically in plymouth as well as in the textual view, but it just continues and goes to gdm before I can even enter the decryption password.)

This happens every time.

Doing 'yum downgrade systemd systemd-python libgudev1 systemd-sysv systemd-libs' got it working again.

Steps to Reproduce:
1. yum update systemd
2. reboot
3. Observe encrypted file system password prompt.
4. Start to type decryption password.
5. Observe that boot sequence has finished and gdm menu is showing.
6. Attempt to login, but can't because the home directory is not present, as the encrypted file system has not been unlocked.

Additional info:
Interesting parts from /var/log/messages:


May 19 09:19:11 cinnamon systemd[1]: Starting Encrypted Volumes.
May 19 09:19:11 cinnamon systemd[1]: Reached target Encrypted Volumes.
...
May 19 09:19:11 cinnamon systemd[1]: rngd.service: main process exited, code=exited, status=1/FAILURE
May 19 09:19:11 cinnamon systemd[1]: Unit rngd.service entered failed state.
...
May 19 09:19:11 cinnamon dbus-daemon[622]: dbus[622]: [system] Rejected send message, 1 matched rules; type="method_call", sender=":1.6" (uid=0 pid=639 comm="/usr/sbin/gdm-binary ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.8" (uid=0 pid=678 comm="/usr/libexec/gdm-simple-slave --display-id /org/gn")
May 19 09:19:11 cinnamon dbus[622]: [system] Rejected send message, 1 matched rules; type="method_call", sender=":1.6" (uid=0 pid=639 comm="/usr/sbin/gdm-binary ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.8" (uid=0 pid=678 comm="/usr/libexec/gdm-simple-slave --display-id /org/gn")

...
May 19 09:19:12 cinnamon bluetoothd[569]: bluetoothd[569]: Unknown command complete for opcode 19
May 19 09:19:12 cinnamon bluetoothd[569]: Unknown command complete for opcode 19
May 19 09:19:12 cinnamon kernel: [   21.342772] iscsi: registered transport (tcp)
May 19 09:19:12 cinnamon bluetoothd[569]: bluetoothd[569]: Adapter /org/bluez/569/hci0 has been enabled
May 19 09:19:12 cinnamon bluetoothd[569]: Adapter /org/bluez/569/hci0 has been enabled
May 19 09:19:12 cinnamon kernel: [   21.421856] Ebtables v2.0 registered
May 19 09:19:12 cinnamon kernel: [   21.573421] nf_conntrack version 0.5.0 (16384 buckets, 65536 max)
May 19 09:19:13 cinnamon kernel: [   22.590578] iscsi: registered transport (iser)
May 19 09:19:13 cinnamon gdm-simple-slave[678]: WARNING: Failed to give slave programs access to the display. Trying to proceed.
May 19 09:19:13 cinnamon kernel: [   22.655496] libcxgbi:libcxgbi_init_module: tag itt 0x1fff, 13 bits, age 0xf, 4 bits.
May 19 09:19:13 cinnamon kernel: [   22.655500] libcxgbi:ddp_setup_host_page_size: system PAGE 4096, ddp idx 0.
May 19 09:19:13 cinnamon kernel: [   22.761455] Chelsio T3 iSCSI Driver cxgb3i v2.0.0 (Jun. 2010)
May 19 09:19:13 cinnamon kernel: [   22.761482] iscsi: registered transport (cxgb3i)
May 19 09:19:13 cinnamon systemd-tty-ask-password-agent[520]: Failed to query password: Input/output error
May 19 09:19:13 cinnamon systemd-tty-ask-password-agent[520]: Failed to show password: Input/output error
May 19 09:19:13 cinnamon systemd[1]: Stopped Forward Password Requests to Plymouth.
May 19 09:19:13 cinnamon systemd[1]: Started Wait for Plymouth Boot Screen to Quit.
May 19 09:19:13 cinnamon systemd[1]: Started Forward Password Requests to Wall.
May 19 09:19:14 cinnamon kernel: [   23.054275] Chelsio T4 iSCSI Driver cxgb4i v0.9.1 (Aug. 2010)
May 19 09:19:14 cinnamon kernel: [   23.054299] iscsi: registered transport (cxgb4i)
...
May 19 09:19:16 cinnamon gnome-session[986]: WARNING: Session 'gdm-shell' runnable check failed: Child process exited with code 1
...
May 19 09:19:51 cinnamon dbus-daemon[622]: ** Message: No devices in use, exit
May 19 09:20:28 cinnamon systemd[1]: Job dev-disk-by\x2duuid-32da28a6\x2d28ed\x2d41b7\x2d973a\x2d7325012a4665.device/start timed out.
May 19 09:20:28 cinnamon systemd[1]: Timed out waiting for device dev-disk-by\x2duuid-32da28a6\x2d28ed\x2d41b7\x2d973a\x2d7325012a4665.device.
May 19 09:20:28 cinnamon systemd[1]: Dependency failed for /data.
May 19 09:20:28 cinnamon systemd[1]: Job dev-mapper-luks\x2d717e803f\x2d1486\x2d4961\x2daa55\x2d5fc4b6841d93.device/start timed out.
May 19 09:20:28 cinnamon systemd[1]: Timed out waiting for device dev-mapper-luks\x2d717e803f\x2d1486\x2d4961\x2daa55\x2d5fc4b6841d93.device.
May 19 09:20:28 cinnamon systemd[1]: Dependency failed for Cryptography Setup for luks-717e803f-1486-4961-aa55-5fc4b6841d93.
May 19 09:20:28 cinnamon systemd[1]: Startup finished in 2.887s (kernel) + 3.360s (initrd) + 1min 31.416s (userspace) = 1min 37.664s.
Comment 1 Tim Wegener 2013-05-18 21:43:02 EDT
This is the subset of the /var/log/message output above that only occurs when booting with systemd-201-2.fc18.6.x86_64:


May 19 09:19:11 cinnamon systemd[1]: Starting Encrypted Volumes.
May 19 09:19:11 cinnamon systemd[1]: Reached target Encrypted Volumes.
...
May 19 09:19:11 cinnamon systemd[1]: rngd.service: main process exited, code=exited, status=1/FAILURE
May 19 09:19:11 cinnamon systemd[1]: Unit rngd.service entered failed state.
...
May 19 09:19:13 cinnamon systemd-tty-ask-password-agent[520]: Failed to query password: Input/output error
May 19 09:19:13 cinnamon systemd-tty-ask-password-agent[520]: Failed to show password: Input/output error
May 19 09:19:13 cinnamon systemd[1]: Stopped Forward Password Requests to Plymouth.
May 19 09:19:13 cinnamon systemd[1]: Started Wait for Plymouth Boot Screen to Quit.
May 19 09:19:13 cinnamon systemd[1]: Started Forward Password Requests to Wall.
...
May 19 09:19:13 cinnamon systemd-tty-ask-password-agent[520]: Failed to query password: Input/output error
May 19 09:19:13 cinnamon systemd-tty-ask-password-agent[520]: Failed to show password: Input/output error
May 19 09:19:13 cinnamon systemd[1]: Stopped Forward Password Requests to Plymouth.
May 19 09:19:13 cinnamon systemd[1]: Started Wait for Plymouth Boot Screen to Quit.
...
May 19 09:20:28 cinnamon systemd[1]: Job dev-disk-by\x2duuid-32da28a6\x2d28ed\x2d41b7\x2d973a\x2d7325012a4665.device/start timed out.
May 19 09:20:28 cinnamon systemd[1]: Timed out waiting for device dev-disk-by\x2duuid-32da28a6\x2d28ed\x2d41b7\x2d973a\x2d7325012a4665.device.
May 19 09:20:28 cinnamon systemd[1]: Dependency failed for /data.
May 19 09:20:28 cinnamon systemd[1]: Job dev-mapper-luks\x2d717e803f\x2d1486\x2d4961\x2daa55\x2d5fc4b6841d93.device/start timed out.
May 19 09:20:28 cinnamon systemd[1]: Timed out waiting for device dev-mapper-luks\x2d717e803f\x2d1486\x2d4961\x2daa55\x2d5fc4b6841d93.device.
May 19 09:20:28 cinnamon systemd[1]: Dependency failed for Cryptography Setup for luks-717e803f-1486-4961-aa55-5fc4b6841d93.
Comment 2 Michal Schmidt 2013-05-20 09:45:25 EDT
Please attach:
- /etc/fstab
- /etc/crypttab
- the output of "lsblk" after booting with the working systemd version.
Comment 3 Tim Wegener 2013-05-23 08:52:16 EDT
Created attachment 752198 [details]
/etc/fstab
Comment 4 Tim Wegener 2013-05-23 08:55:29 EDT
Created attachment 752199 [details]
Output from 'lsblk'

This output was when running with:

systemd-195-15.fc18.x86_64
util-linux-2.22.2-6.fc18.x86_64

(i.e. the case that works, after downgrading systemd)
Comment 5 Tim Wegener 2013-05-23 08:56:53 EDT
Created attachment 752200 [details]
/etc/crypttab
Comment 6 Michael Laß 2013-05-24 04:40:56 EDT
I see a similar problem here after updating systemd: Boot takes a very long time. After a few minutes finally the password prompt appears and boot continues.

In the journal I see messages like:
Mai 24 10:04:47 bevan-thinkpad systemd[1]: Starting Load Random Seed...
Mai 24 10:04:47 bevan-thinkpad systemd[1]: systemd-random-seed-load.service start request repeated too quickly, refusing to start.
Mai 24 10:04:47 bevan-thinkpad systemd[1]: Failed to start Load Random Seed.
[...]
Mai 24 10:05:17 bevan-thinkpad systemd[1]: Job dev-disk-by\x2duuid-4a7542e5\x2deca6\x2d4266\x2dab4b\x2d084327f8dece.device/start timed out.
Mai 24 10:05:17 bevan-thinkpad systemd[1]: Timed out waiting for device dev-disk-by\x2duuid-4a7542e5\x2deca6\x2d4266\x2dab4b\x2d084327f8dece.device.
Mai 24 10:05:17 bevan-thinkpad systemd[1]: Dependency failed for Cryptography Setup for luks-4a7542e5-eca6-4266-ab4b-084327f8dece.
Mai 24 10:05:17 bevan-thinkpad systemd[1]: Dependency failed for Encrypted Volumes.
Mai 24 10:05:17 bevan-thinkpad systemd[1]: Dependency failed for dev-mapper-luks\x2d4a7542e5\x2deca6\x2d4266\x2dab4b\x2d084327f8dece.device.
Mai 24 10:05:17 bevan-thinkpad systemd[1]: Dependency failed for /home.
Mai 24 10:05:17 bevan-thinkpad systemd[1]: Dependency failed for Local File Systems.
Mai 24 10:05:17 bevan-thinkpad systemd[1]: Dependency failed for Mark the need to relabel after reboot.
Mai 24 10:05:17 bevan-thinkpad systemd[1]: Dependency failed for Relabel all filesystems, if necessary.
Mai 24 10:05:17 bevan-thinkpad systemd[1]: Dependency failed for File System Check on /dev/mapper/luks-4a7542e5-eca6-4266-ab4b-084327f8dece.
[...]

sudo journalctl -u systemd-random-seed-load.service after booting with the old systemd:
Mai 16 20:16:40 bevan-thinkpad systemd[1]: Started Load Random Seed.
Mai 16 20:16:41 bevan-thinkpad systemd[1]: Starting Load Random Seed...
Mai 16 20:16:41 bevan-thinkpad systemd[1]: Started Load Random Seed.
Mai 16 20:16:41 bevan-thinkpad systemd[1]: Starting Load Random Seed...
Mai 16 20:16:41 bevan-thinkpad systemd[1]: Started Load Random Seed.

After booting with new systemd:
Mai 24 10:03:47 bevan-thinkpad systemd[1]: Started Load Random Seed.
Mai 24 10:03:47 bevan-thinkpad systemd[1]: Starting Load Random Seed...
Mai 24 10:03:47 bevan-thinkpad systemd[1]: Started Load Random Seed.
Mai 24 10:03:47 bevan-thinkpad systemd[1]: Starting Load Random Seed...
Mai 24 10:03:47 bevan-thinkpad systemd[1]: Started Load Random Seed.
Mai 24 10:03:47 bevan-thinkpad systemd[1]: Starting Load Random Seed...
Mai 24 10:03:47 bevan-thinkpad systemd[1]: Started Load Random Seed.
Mai 24 10:04:17 bevan-thinkpad systemd[1]: Starting Load Random Seed...
Mai 24 10:04:17 bevan-thinkpad systemd[1]: Started Load Random Seed.
Mai 24 10:04:17 bevan-thinkpad systemd[1]: Starting Load Random Seed...
Mai 24 10:04:17 bevan-thinkpad systemd[1]: Started Load Random Seed.
Mai 24 10:04:17 bevan-thinkpad systemd[1]: Starting Load Random Seed...
Mai 24 10:04:17 bevan-thinkpad systemd[1]: Started Load Random Seed.
Mai 24 10:04:17 bevan-thinkpad systemd[1]: Starting Load Random Seed...
Mai 24 10:04:17 bevan-thinkpad systemd[1]: Started Load Random Seed.
Mai 24 10:04:47 bevan-thinkpad systemd[1]: Starting Load Random Seed...
Mai 24 10:04:47 bevan-thinkpad systemd[1]: Started Load Random Seed.
Mai 24 10:04:47 bevan-thinkpad systemd[1]: Starting Load Random Seed...
Mai 24 10:04:47 bevan-thinkpad systemd[1]: Started Load Random Seed.
Mai 24 10:04:47 bevan-thinkpad systemd[1]: Starting Load Random Seed...
Mai 24 10:04:47 bevan-thinkpad systemd[1]: Started Load Random Seed.
Mai 24 10:04:47 bevan-thinkpad systemd[1]: Starting Load Random Seed...
Mai 24 10:04:47 bevan-thinkpad systemd[1]: Started Load Random Seed.
Mai 24 10:04:47 bevan-thinkpad systemd[1]: Starting Load Random Seed...
Mai 24 10:04:47 bevan-thinkpad systemd[1]: Started Load Random Seed.
Mai 24 10:04:47 bevan-thinkpad systemd[1]: Starting Load Random Seed...
Mai 24 10:04:47 bevan-thinkpad systemd[1]: systemd-random-seed-load.service start request repeated too quickly, refusing to start.
Mai 24 10:04:47 bevan-thinkpad systemd[1]: Failed to start Load Random Seed.
Mai 24 10:04:47 bevan-thinkpad systemd[1]: Unit systemd-random-seed-load.service entered failed state.
Mai 24 10:04:47 bevan-thinkpad systemd[1]: Starting Load Random Seed...
Mai 24 10:04:47 bevan-thinkpad systemd[1]: systemd-random-seed-load.service start request repeated too quickly, refusing to start.
Mai 24 10:04:47 bevan-thinkpad systemd[1]: Failed to start Load Random Seed.
Mai 24 10:04:47 bevan-thinkpad systemd[1]: Starting Load Random Seed...
Mai 24 10:04:47 bevan-thinkpad systemd[1]: systemd-random-seed-load.service start request repeated too quickly, refusing to start.
Mai 24 10:04:47 bevan-thinkpad systemd[1]: Failed to start Load Random Seed.
Mai 24 10:04:47 bevan-thinkpad systemd[1]: Starting Load Random Seed...
Mai 24 10:04:47 bevan-thinkpad systemd[1]: systemd-random-seed-load.service start request repeated too quickly, refusing to start.
Mai 24 10:04:47 bevan-thinkpad systemd[1]: Failed to start Load Random Seed.
Mai 24 10:04:47 bevan-thinkpad systemd[1]: Starting Load Random Seed...
Mai 24 10:04:47 bevan-thinkpad systemd[1]: systemd-random-seed-load.service start request repeated too quickly, refusing to start.
Mai 24 10:04:47 bevan-thinkpad systemd[1]: Failed to start Load Random Seed.
Mai 24 10:04:47 bevan-thinkpad systemd[1]: Starting Load Random Seed...
Mai 24 10:04:47 bevan-thinkpad systemd[1]: systemd-random-seed-load.service start request repeated too quickly, refusing to start.
Mai 24 10:04:47 bevan-thinkpad systemd[1]: Failed to start Load Random Seed.
Mai 24 10:04:47 bevan-thinkpad systemd[1]: Starting Load Random Seed...
Mai 24 10:04:47 bevan-thinkpad systemd[1]: systemd-random-seed-load.service start request repeated too quickly, refusing to start.
Mai 24 10:04:47 bevan-thinkpad systemd[1]: Failed to start Load Random Seed.
Mai 24 10:04:47 bevan-thinkpad systemd[1]: Starting Load Random Seed...
Mai 24 10:04:47 bevan-thinkpad systemd[1]: systemd-random-seed-load.service start request repeated too quickly, refusing to start.
Mai 24 10:04:47 bevan-thinkpad systemd[1]: Failed to start Load Random Seed.
Mai 24 10:04:47 bevan-thinkpad systemd[1]: Starting Load Random Seed...
Mai 24 10:04:47 bevan-thinkpad systemd[1]: systemd-random-seed-load.service start request repeated too quickly, refusing to start.
Mai 24 10:04:47 bevan-thinkpad systemd[1]: Failed to start Load Random Seed.
Mai 24 10:04:47 bevan-thinkpad systemd[1]: Starting Load Random Seed...
Mai 24 10:04:47 bevan-thinkpad systemd[1]: systemd-random-seed-load.service start request repeated too quickly, refusing to start.
Mai 24 10:04:47 bevan-thinkpad systemd[1]: Failed to start Load Random Seed.
Mai 24 10:05:17 bevan-thinkpad systemd[1]: Starting Load Random Seed...
Mai 24 10:05:17 bevan-thinkpad systemd[1]: Started Load Random Seed.
Mai 24 10:05:27 bevan-thinkpad systemd[1]: Starting Load Random Seed...
Mai 24 10:05:27 bevan-thinkpad systemd[1]: Started Load Random Seed.
Mai 24 10:05:47 bevan-thinkpad systemd[1]: Starting Load Random Seed...
Mai 24 10:05:47 bevan-thinkpad systemd[1]: Started Load Random Seed.
Mai 24 10:05:47 bevan-thinkpad systemd[1]: Starting Load Random Seed...
Mai 24 10:05:47 bevan-thinkpad systemd[1]: Started Load Random Seed.

So there are two minutes of starting "Load Random Seed" again and again and again...
Comment 7 Lennart Poettering 2013-06-04 08:57:44 EDT
May 19 09:19:13 cinnamon systemd-tty-ask-password-agent[520]: Failed to query password: Input/output error
May 19 09:19:13 cinnamon systemd-tty-ask-password-agent[520]: Failed to show password: Input/output error

That looks weird...

Do you use plymouth? Do you have some special tty setup? (Serial console? Something on the kernel cmdline?)
Comment 8 Tim Wegener 2013-06-04 09:07:48 EDT
(In reply to Lennart Poettering from comment #7)
...
> Do you use plymouth?


Yes, but I often press escape to see what's happening underneath.


> Do you have some special tty setup? (Serial console?
> Something on the kernel cmdline?)


No, nothing exotic like that.


I've seen this on two different machines, BTW. The other one machine has /home encrypted as well as an encrypted partition on a second drive.
Comment 9 Tim Wegener 2013-10-14 20:42:10 EDT
This is quite serious as recent dracut updates require systemd >= 199. This means I can't update dracut and the kernel due to systemd-201-2.fc18.6.x86_64 breaking my system. (See Bug 1016331.)

Also, does this mean I'm in trouble when F18 reaches EOL?
Comment 10 Fedora End Of Life 2013-12-21 08:37:24 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Tim Wegener 2014-01-03 06:18:46 EST
(In reply to Tim Wegener from comment #9)
> This is quite serious as recent dracut updates require systemd >= 199. This
> means I can't update dracut and the kernel due to
> systemd-201-2.fc18.6.x86_64 breaking my system. (See Bug 1016331.)
> 
> Also, does this mean I'm in trouble when F18 reaches EOL?


It works fine for me after installing Fedora 20, so I'm happy.

Note You need to log in before you can comment on or make changes to this bug.